using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using xabaraCOM;

public partial class webXabara_frame_regSoft : System.Web.UI.Page
{
    xabara x = new xabara();
    admin a = new admin();
    javasrcipt js = new javasrcipt();

    protected void Page_Load(object sender, EventArgs e)
    {
        a.check("xabaraCOM");

        if (!IsPostBack)
        {
            //myCode.Text = x.regCode();

            softLink.NavigateUrl = "http://api.etaocms.com/authorization/?id=" + x.softName();
        } 
    }

    protected void sysSet_Click(object sender, EventArgs e)
    {
        string str = regCode.Text.Trim();
        if (!string.IsNullOrEmpty(str as string))
        {
            xml.save("regCode", str);
            cache.clear();
        }

        js.div(true, "", "text", "注册成功！", 350, 0, "htm.aspx", "top");
    }
}